GDB (xrefs)

Macros | Functions
arm-linux.h File Reference

Go to the source code of this file.

## Macros
#define | ARM_CPSR_GREGNUM 16
#define | ARM_SIGCONTEXT_R0 0xc
#define | ARM_UCONTEXT_SIGCONTEXT 0x14
#define | ARM_OLD_RT_SIGFRAME_SIGINFO 0x8
#define | ARM_OLD_RT_SIGFRAME_UCONTEXT 0x88
#define | ARM_NEW_RT_SIGFRAME_UCONTEXT 0x80
#define | ARM_NEW_SIGFRAME_MAGIC 0x5ac3c35a

## Functions
int | arm_linux_sigreturn_next_pc_offset (unsigned long sp, unsigned long sp_data, unsigned long svc_number, int is_sigreturn)
CORE_ADDR | arm_linux_get_next_pcs_fixup (struct arm_get_next_pcs *self, CORE_ADDR pc)

## Macro Definition Documentation

## ◆ ARM_CPSR_GREGNUM

#define ARM_CPSR_GREGNUM 16

Definition at line 24 of file arm-linux.h.

Referenced by aarch32_gp_regcache_collect(), aarch32_gp_regcache_supply(), arm_linux_collect_gregset(), and arm_linux_supply_gregset().

## ◆ ARM_NEW_RT_SIGFRAME_UCONTEXT

#define ARM_NEW_RT_SIGFRAME_UCONTEXT 0x80

Definition at line 67 of file arm-linux.h.

Referenced by arm_linux_rt_sigreturn_init(), and arm_linux_sigreturn_next_pc_offset().

## ◆ ARM_NEW_SIGFRAME_MAGIC

#define ARM_NEW_SIGFRAME_MAGIC 0x5ac3c35a

Definition at line 69 of file arm-linux.h.

Referenced by arm_linux_sigreturn_init(), and arm_linux_sigreturn_next_pc_offset().

## ◆ ARM_OLD_RT_SIGFRAME_SIGINFO

#define ARM_OLD_RT_SIGFRAME_SIGINFO 0x8

Definition at line 64 of file arm-linux.h.

Referenced by arm_linux_rt_sigreturn_init(), and arm_linux_sigreturn_next_pc_offset().

## ◆ ARM_OLD_RT_SIGFRAME_UCONTEXT

#define ARM_OLD_RT_SIGFRAME_UCONTEXT 0x88

Definition at line 65 of file arm-linux.h.

Referenced by arm_linux_rt_sigreturn_init(), and arm_linux_sigreturn_next_pc_offset().

## ◆ ARM_SIGCONTEXT_R0

#define ARM_SIGCONTEXT_R0 0xc

Definition at line 54 of file arm-linux.h.

Referenced by arm_linux_rt_sigreturn_init(), arm_linux_sigreturn_init(), and arm_linux_sigreturn_next_pc_offset().

## ◆ ARM_UCONTEXT_SIGCONTEXT

#define ARM_UCONTEXT_SIGCONTEXT 0x14

Definition at line 58 of file arm-linux.h.

Referenced by arm_linux_rt_sigreturn_init(), arm_linux_sigreturn_init(), and arm_linux_sigreturn_next_pc_offset().

## Function Documentation

## ◆ arm_linux_get_next_pcs_fixup()

CORE_ADDR arm_linux_get_next_pcs_fixup | ( | struct arm_get_next_pcs * | self,
|  | CORE_ADDR | pc
| ) |  |

Definition at line 65 of file arm-linux.c.

References ARM_LR_REGNUM, bit, bits, INST_NV, MAKE_THUMB_ADDR, regcache_raw_get_unsigned(), regcache_read_pc(), and thumb_insn_size().

## ◆ arm_linux_sigreturn_next_pc_offset()

int arm_linux_sigreturn_next_pc_offset | ( | unsigned long | sp,
|  | unsigned long | sp_data,
|  | unsigned long | svc_number,
|  | int | is_sigreturn
| ) |  |

Definition at line 29 of file arm-linux.c.

References ARM_NEW_RT_SIGFRAME_UCONTEXT, ARM_NEW_SIGFRAME_MAGIC, ARM_OLD_RT_SIGFRAME_SIGINFO, ARM_OLD_RT_SIGFRAME_UCONTEXT, ARM_PC_REGNUM, ARM_SIGCONTEXT_R0, ARM_UCONTEXT_SIGCONTEXT, and INT_REGISTER_SIZE.

Referenced by arm_linux_sigreturn_next_pc().